For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.genai.list_indexing_job_data_sources(
indexing_job_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError
Description
To list all datasources for an indexing job, send a GET request to /v2/gen-ai/indexing_jobs/{indexing_job_uuid}/data_sources.
Parameters
indexing_job_uuid string required
Uuid of the indexing job
Response Example
Show Response Example
{
"indexed_data_sources": [
{
"completed_at": "2023-01-01T00:00:00Z",
"data_source_uuid": "123e4567-e89b-12d3-a456-426614174000",
"error_details": "example string",
"error_msg": "example string",
"failed_item_count": "12345",
"indexed_file_count": "12345",
"indexed_item_count": "12345",
"removed_item_count": "12345",
"skipped_item_count": "12345",
"started_at": "2023-01-01T00:00:00Z",
"status": "DATA_SOURCE_STATUS_UNKNOWN",
"total_bytes": "12345",
"total_bytes_indexed": "12345",
"total_file_count": "12345"
}
]
}
See /v2/gen-ai/indexing_jobs/{indexing_job_uuid}/data_sources in the API reference for additional detail on responses, headers, parameters, and more.